<?php
/**
 * @package appComfinoPlugin */
class appComfinoPluginListener
{
    public static function validateUserDataBasket(sfEvent $event)
    {
        /**
         * @var stActions $controller
         */
        $controller = $event->getSubject();
        
        if ($controller->getModuleName() == 'stUserData' && $controller->getActionName() == 'addBasketUser')
        {
            $basket = $controller->getUser()->getBasket();
            $frontendDelivery = stDeliveryFrontend::getInstance($basket);
            
            if (null === $frontendDelivery->getDefaultDelivery() || null === $frontendDelivery->getDefaultDelivery()->getDefaultPayment())
            {
                return;
            }
            
            if ($frontendDelivery->getDefaultDelivery()->getDefaultPayment()->getPaymentTypeApi() instanceof appComfinoPaymentType)
            {
                $config = stConfig::getInstance('stUser');
                $config->set('validate_phone', true);
                $config->set('require_billing_fullname', true);
            }
        }
    }
}